commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Gilles <gil...@harfang.homelinux.org>
Subject [Math] Java version (Was: [MATH] Jenkins build)
Date Thu, 08 Jan 2015 11:34:24 GMT
Hi.

Raising this issue once again.
Are we going to upgrade the requirement for the next major release?

  [ ] Java 5
  [ ] Java 6
  [ ] Java 7
  [ ] Java 8
  [ ] Java 9

?

Gilles


On Thu, 8 Jan 2015 10:34:20 +0000, sebb wrote:
> I've had to give up trying to get Continuum to use Git, so I set up a
> Jenkins build for Math
>
> It seems Jenkins itself needs Java 1.6+, and the JAVA_1_x_HOME
> variables don't seem to have been set up on the Jenkins hosts, so the
> -Pjava-1.5 profile does not work as is.
>
> However I found that the JAVA_1_5_HOME variable can be defined on the
> Maven command-line.
>
> This works, provided that Java 1.5 is always installed in the same
> location on different hosts.
>
> [The JAVA_1_x_HOME variables were designed get around this
> restriction, as they can be differently defined on different hosts]
>
> Hopefully the builds will be useful in detecting accidental use of
> Java 1.6+ APIs
>
> So far I have only added Commons Math itself.
> I hope to add the examples shortly.
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
> For additional commands, e-mail: dev-help@commons.apache.org


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
For additional commands, e-mail: dev-help@commons.apache.org


Mime
View raw message